package com.kingdee.eas.custom.esign;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ESignGlobalStatusOverviewCollection extends AbstractObjectCollection 
{
    public ESignGlobalStatusOverviewCollection()
    {
        super(ESignGlobalStatusOverviewInfo.class);
    }
    public boolean add(ESignGlobalStatusOverviewInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ESignGlobalStatusOverviewCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ESignGlobalStatusOverviewInfo item)
    {
        return removeObject(item);
    }
    public ESignGlobalStatusOverviewInfo get(int index)
    {
        return(ESignGlobalStatusOverviewInfo)getObject(index);
    }
    public ESignGlobalStatusOverviewInfo get(Object key)
    {
        return(ESignGlobalStatusOverviewInfo)getObject(key);
    }
    public void set(int index, ESignGlobalStatusOverviewInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ESignGlobalStatusOverviewInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ESignGlobalStatusOverviewInfo item)
    {
        return super.indexOf(item);
    }
}